Subject: 26.1; auth-source does not parse netrc files as documented

From: Daniel Gerber <[email-masked]>
Date: Fri, 21 Dec 2018 14:11:58 +0100

In describing "netrc" files, (info "(auth) Help for users") says 
that "The ‘machine’ is the server [...] You can also use ‘host’".
But the code does not quite support `host`: 
`auth-source-netrc-parse-entries` starts a new entry only with the 
keyword `machine`.

Also, currently multiple lines starting with `host` are just 
merged together. The issue would have been easier to nail down if 
the parser did some validation, like warning when one entry has 
multiple values for the same key (user, port, ...).

---
In GNU Emacs 26.1
Repository revision: 132b6b71fa7388aa2b1ad113d86c485b9c461209
---